/* style sheet */
/*
Document diagnostic flags (development)
*/

span.red-circle  {font-size:90%; color:red; border-radius:50%; border:2px solid red;}
span.icon-sym    {font-weight:bold; font-size:110%; font-family:Courier;}
span.icon-green  {color:green;}
span.icon-red    {color:red;}
span.icon-orange {color:orange;}
span.qd-version  {font-size:70%; color:#a0a0a0;}

span.src-extra   {font-size:50%; display:inline-block; margin-left:20px;}
span.impl-text   {font-size:50%; display:inline-block; margin-left:10px;}

div.indexContainer a.flag  {color:red !important;}
div.scrollText             {overflow-y:auto;  width:100%; height:100%; margin-top: 80px;}
div.scrollList             {overflow-y:auto;  width:100%; height:100%; /*position:relative;*/padding-top:80px;}
div.scrollLinks            {overflow-y:auto;  width:100%; height:100%;}
div#wrapper                {position:relative; top:0px; height:100%;}
div.topHdr                 {position:fixed; top:0px; height:80px; width:100%;}
body,html                  {height:100%;}

span.class-extra           {display:inline-block; float:right;}
span.func-extra            {display:inline-block; float:right; font-size:80%;}

li.navGreen                {background-color: #a4e9e7
}


/*
This contortion is used so that anchors correctly position intermediate headings as we have a fixed frame.
 */
div.anchor {
    position:relative; top:-80px;
}

a.meth-index             {font-size:50%;}
span.meth-extra          {display:inline-block; float:right;}

p.meth-desc span.props {display:inline-block; width:50px;}
p.meth-desc a.meth     {display:inline-block; width:120px;}

p.parm span.name {display:inline-block; width:120px;}
p.parm span.fmt  {display:inline-block; width:120px;}
p.parm           {margin-top:5px; margin-bottom:5px;}

table.cls-flds   {padding-bottom:20px;}
table.cls-flds th {text-align:left;}
table.cls-flds .var  {width:100px;}
table.cls-flds .type {width:100px;}

pre code {background-color: #efefec; width:95%; display:block;margin-left:20px; margin-right:20px; font-size:80%;}
code {background-color: #efefec;}

div.warn {color:orange;}
div.examples-list {margin-left:20px; margin-right:20px; border:solid 1px black; height:160px; overflow-y:scroll;margin-top:10px; margin-bottom:10px;}

div.sourceCode {font-size:80%;}
/* This table was extracted from a pandoc run with the "s" (standalone) option turned on.
The values have been tweaked to be more like personal IntelliJ preferences.
*/
@media screen {
    pre > code.sourceCode > span > a:first-child::before { text-decoration: underline; }
    }
    code span.al { color: #ff0000; font-weight: bold; } /* Alert */
    code span.an { color: #60a0b0; font-weight: bold; font-style: italic; } /* Annotation */
    code span.at { color: #7d9029; } /* Attribute */
    code span.bn { color: #40a070; } /* BaseN */
    code span.bu { } /* BuiltIn */
    code span.cf { color: #007020; font-weight: bold; } /* ControlFlow */
    code span.ch { color: #4070a0; } /* Char */
    code span.cn { color: #880000; } /* Constant */
    code span.co { color: #f828c4; font-style: italic; } /* Comment */
    code span.cv { color: #60a0b0; font-weight: bold; font-style: italic; } /* CommentVar */
    code span.do { color: #ba2121; font-style: italic; } /* Documentation */
    code span.dt { color: #902000; } /* DataType */
    code span.dv { color: #40a070; } /* DecVal */
    code span.er { color: #ff0000; font-weight: bold; } /* Error */
    code span.ex { } /* Extension */
    code span.fl { color: #40a070; } /* Float */
    code span.fu { color: #06287e; } /* Function */
    code span.im { } /* Import */
    code span.in { color: #60a0b0; font-weight: bold; font-style: italic; } /* Information */
    code span.kw { color: #007020; font-weight: bold; } /* Keyword */
    code span.op { color: #666666; } /* Operator */
    code span.ot { color: #007020; } /* Other */
    code span.pp { color: #bc7a00; } /* Preprocessor */
    code span.sc { color: #4070a0; } /* SpecialChar */
    code span.ss { color: #bb6688; } /* SpecialString */
    code span.st { color: #4070a0; } /* String */
    code span.va { color: #19177c; } /* Variable */
    code span.vs { color: #4070a0; } /* VerbatimString */
    code span.wa { color: #60a0b0; font-weight: bold; font-style: italic; } /* Warning */
    .display.math{display: block; text-align: center; margin: 0.5rem auto;}


/*
global settings
*/
.hide        {display:none;}
span.less    {font-size:80% !important;}
span.chain   {display:inline-block;margin-left:20px;font-style:italic;}
div.defined  {margin-top:-10px;}
div.parm-def {margin-top:-25px;}
h4.class     {margin-top:-5px; font-size:200%; margin-bottom:15px;}
h5.hdr       {margin-bottom:5px; font-size:80%;}
h5.sectHdr   {margin-bottom:5px;}
div.parm-line {margin-left:1px;}
div.parm-line span.type {display:inline-block;width:140px;text-align:right;}
div.subNav   {width:100%;}
div.subNav span.docVersion {font-size:80%; float:right; display:inline-block; color: #a4a4a4; margin-top:5px; margin-right:20px;}
div.subNav span.disable {color: #a4a4a4;}
li.comp-ref a.active {color:indianred}
span.bad-link {color:orangered; text-decoration:line-through;}

div.tabFix table {table-layout:auto; width:1%; margin:20px 0 20px 40px; border-bottom:none;}
div.tabFix table td {white-space:nowrap; padding-right:20px;}
div.tabFix table th {white-space:nowrap; padding-right:20px;}
div.details table.parms td {width:1px; white-space: nowrap;}

div.list-mar {width:500px; margin-left:50px;}

div.details table.parms {display:table; table-layout:auto; width:inherit !important;}
div.details table.parms td {width:1px; white-space: nowrap;}

a.blue    {color:blue !important;}
a.missing {color:magenta !important;}
p.docPend {color:magenta;}

div.cmd {
    padding:0 20px 5px 10px;
    border:1px solid #9eadc0;
    background-color:white;
    margin-bottom:10px;
}

div.listContainer {
    background-color:#f9f9f9;
    /*position:relative;/* overflow:auto;*/
}

div.cmds  div.pos {margin-top:-80px;margin-bottom:80px;} /* used to workaround strange bias intoduced */
div.funcs div.pos {margin-top:-80px;margin-bottom:80px;}

div.cmds {
    margin: 10px 10px 10px 10px;
}
div.cmds div.cmd h4.cmdHdr {
    background-color:#dee3e9;
    border-right:1px solid #9eadc0;
    border-bottom:1px solid #9eadc0;
    margin:0 -20px 10px -10px;
    padding:4px 10px 5px 10px;
}

div.func {
    padding:0px 20px 5px 10px;
    border:1px solid #9eadc0;
    background-color:white;
    margin-bottom:10px;
}

div.funcs {
    /*position:relative;*/
    margin: 10px 10px 10px 10px;
}
div.funcs div.func h4.func {
    background-color:#dee3e9;
    border-right:1px solid #9eadc0;
    border-bottom:1px solid #9eadc0;
    margin:0 -20px 10px -10px;
    padding:4px 10px 5px 10px;
}

/*

Descriptions, notions
*/

div#div-popup  {margin-top:20px;}
div.anchorList {margin-left:20px;}
div.anchorList div {margin:0 0 0 0; width:700px;}
div.anchorList p {margin-bottom:15px; margin-left:15px; margin-top:5px;}
div.anchorList h6 {margin:0 0 0 0;}
div.anchorList h6 span.name {font-size:120%;}

/*

Overall document style
*/
body {
    background-color:#ffffff;
    color:#353833;
    font-family:Arial, Helvetica, sans-serif;
    font-size:76%;
    margin:0;
}
a:link, a:visited {
    text-decoration:none;
    color: #013f92;
}
a:hover, a:focus {
    text-decoration:none;
    color:#bb7a2a;
}
a:hover {
    background-color:cyan;
}
a:active {
    text-decoration:none;
    color: #8dbfef;
}
a[name] {
    color:#353833;
}
a[name]:hover {
    text-decoration:none;
    color:#353833;
}
pre {
    font-size:1.3em;
}
h1 {
    font-size:1.8em;
}
h2 {
    font-size:1.5em;
}
h3 {
    font-size:1.4em;
}
h4 {
    font-size:1.3em;
}
h5 {
    font-size:1.2em;
}
h6 {
    font-size:1.1em;
}
ul {
    list-style-type:disc;
}
code, tt {
    font-size:1.2em;
}
dt code {
    font-size:1.2em;
}
table tr td dt code {
    font-size:1.2em;
    vertical-align:top;
}
sup {
    font-size:.6em;
}
/*
Document title and Copyright styles
*/
.clear {
    clear:both;
    height:0px;
    overflow:hidden;
}
.aboutLanguage {
    float:right;
    padding:0px 21px;
    font-size:.8em;
    z-index:200;
    margin-top:-7px;
}
.aboutLanguageSrc {
    float:right;
    padding:0px 21px;
    font-size:.8em;
    z-index:200;
    margin-top:-7px;
}
p.legalCopy {
    margin-left:.5em; text-align:center;
}

p.legalCopy a.title:hover span:before {display:inline-block; margin-left:30px; content:"Hold shift key while hovering to obtain more information"}

div.crn-popup                            {text-align:center; position:absolute; top:20px; left:50%; margin-left:-220px;
                                           font-size:70%; width:440px; height:340px; border:solid 2px black; background-color:ghostwhite;
                                         }
div.crn-popup li                         {text-align:left;}
div.crn-popup a.closer                   {position:absolute;right:0; top:1px;border:2px solid black; background-color:white;}

div.crn-popup-src                        {text-align:center; top:20px; margin-left:260px;
    font-size:70%; width:440px; height:340px; border:solid 2px black; background-color:ghostwhite;
}

.bar a, .bar a:link, .bar a:visited, .bar a:active {
    color: #FFFFFF;
    text-decoration:none;
}
.bar a:hover, .bar a:focus {
    color:#bb7a2a;
}
.tab {
    background-color:#0066FF;
    background-image:url(../resources/titlebar.gif);
    background-position:left top;
    background-repeat:no-repeat;
    color:#ffffff;
    padding:8px;
    width:5em;
    font-weight:bold;
}
/*
Navigation bar styles
*/
.bar {
    background-image:url(../resources/background.gif);
    background-repeat:repeat-x;
    color:#FFFFFF;
    padding:.8em .5em .4em .8em;
    height:auto;/*height:1.8em;*/
    font-size:1em;
    margin:0;
}
.topNav {
    background-image:url(../resources/background.gif);
    background-repeat:repeat-x;
    color:#FFFFFF;
    float:left;
    padding:0;
    width:100%;
    clear:right;
    height:2.8em;
    padding-top:10px;
    /*overflow:hidden;*/
}
.bottomNav {
    margin-top:10px;
    background-image:url(../resources/background.gif);
    background-repeat:repeat-x;
    color:#FFFFFF;
    float:left;
    padding:0;
    width:100%;
    clear:right;
    height:2.8em;
    padding-top:10px;
    /*overflow:hidden;*/
}
.subNav {
    background-color:#dee3e9;
    border-bottom:1px solid #9eadc0;
    float:left;
    width:100%;
    /*overflow:hidden;*/
}
.subNav div {
    clear:left;
    float:left;
    padding:0 0 5px 6px;
}
ul.navList, ul.subNavList {
    float:left;
    margin:0 15px 0 0;
    padding:0;
}
ul.navList li{
    list-style:none;
    float:left;
    padding:3px 6px;
}
ul.subNavList li{
    list-style:none;
    float:left;
    font-size:90%;
}
.topNav a:link, .topNav a:active, .topNav a:visited, .bottomNav a:link, .bottomNav a:active, .bottomNav a:visited {
    color:#FFFFFF;
    text-decoration:none;
}
.topNav a:hover, .bottomNav a:hover {
    text-decoration:none;
    color:#bb7a2a;
}
.navBarCell1Rev {
    background-image:url(../resources/tab.gif);
    background-color:#a88834;
    color:#FFFFFF;
    margin: auto 5px;
    border:1px solid #c9aa44;
}
/*
Page header and footer styles
*/
.header, .footer {
    clear:both;
    margin:0 20px;
    padding:5px 0 0 0;
}
.indexHeader {
    margin:10px;
    /*position:relative;*/
}
.indexHeader h1 {
    font-size:1.3em;
}
.title {
    color:#2c4557;
    margin:10px 0;
}
.subTitle {
    margin:5px 0 0 0;
}
.header ul {
    margin:0 0 25px 0;
    padding:0;
}
.footer ul {
    margin:20px 0 5px 0;
}
.header ul li, .footer ul li {
    list-style:none;
    font-size:1.2em;
}
/*
Heading styles
*/
div.details ul.blockList ul.blockList ul.blockList li.blockList h4
  , div.details ul.blockList ul.blockList ul.blockListLast li.blockList h4 {
    background-color:#dee3e9;
    border-top:1px solid #9eadc0;
    border-bottom:1px solid #9eadc0;
    margin:0 0 6px -8px;
    padding:2px 5px;
}
ul.blockList ul.blockList ul.blockList li.blockList h3 {
    background-color:#dee3e9;
    border-top:1px solid #9eadc0;
    border-bottom:1px solid #9eadc0;
    margin:0 0 6px -8px;
    padding:2px 5px;
}
ul.blockList ul.blockList li.blockList h3 {
    padding:0;
    margin:15px 0;
}
ul.blockList li.blockList h2 {
    padding:0px 0 20px 0;
}
/*
Page layout container styles
*/
.contentContainer, .sourceContainer, .classUseContainer, .serializedFormContainer, .constantValuesContainer {
    clear:both;
    padding:10px 20px;
    /*position:relative;*/
}
.indexContainer {
    margin:10px;
    /*position:relative;*/
    font-size:1.0em;
}
.indexContainer h2 {
    font-size:1.1em;
    padding:0 0 3px 0;
}
.indexContainer ul {
    margin:0;
    padding:0;
}
.indexContainer ul li {
    list-style:none;
}
.contentContainer .description dl dt, .contentContainer .details dl dt, .serializedFormContainer dl dt {
    font-size:1.1em;
    font-weight:bold;
    margin:10px 0 0 0;
    color:#4E4E4E;
}
.contentContainer .description dl dd, .contentContainer .details dl dd, .serializedFormContainer dl dd {
    margin:10px 0 10px 20px;
}
.serializedFormContainer dl.nameValue dt {
    margin-left:1px;
    font-size:1.1em;
    display:inline;
    font-weight:bold;
}
.serializedFormContainer dl.nameValue dd {
    margin:0 0 0 1px;
    font-size:1.1em;
    display:inline;
}
/*
List styles
*/
ul.horizontal li {
    display:inline;
    font-size:0.9em;
}
ul.inheritance {
    margin:0;
    padding:0;
}
ul.inheritance li {
    display:inline;
    list-style:none;
}
ul.inheritance li ul.inheritance {
    margin-left:15px;
    padding-left:15px;
    padding-top:1px;
}
ul.blockList, ul.blockListLast {
    margin:10px 0 10px 0;
    padding:0;
}
ul.blockList li.blockList, ul.blockListLast li.blockList {
    list-style:none;
    margin-bottom:25px;
}
div ul.blockList ul.blockList li.blockList, ul.blockList ul.blockListLast li.blockList {
    padding:0px 20px 5px 10px;
    border:1px solid #9eadc0;
    background-color:#f9f9f9;
}
ul.blockList ul.blockList ul.blockList li.blockList, ul.blockList ul.blockList ul.blockListLast li.blockList {
    padding:0 0 5px 8px;
    background-color:#ffffff;
    border:1px solid #9eadc0;
    border-top:none;
}
ul.blockList ul.blockList ul.blockList ul.blockList li.blockList {
    margin-left:0;
    padding-left:0;
    padding-bottom:15px;
    border:none;
    border-bottom:1px solid #9eadc0;
}
ul.blockList ul.blockList ul.blockList ul.blockList li.blockListLast {
    list-style:none;
    border-bottom:none;
    padding-bottom:0;
}
table tr td dl, table tr td dl dt, table tr td dl dd {
    margin-top:0;
    margin-bottom:1px;
}
/*
Table styles
*/
.contentContainer table, .classUseContainer table, .constantValuesContainer table {
    border-bottom:1px solid #9eadc0;
    width:100%;
}
.contentContainer ul li table, .classUseContainer ul li table, .constantValuesContainer ul li table {
    width:100%;
}
.contentContainer .description table, .contentContainer .details table {
    border-bottom:none;
}
.contentContainer ul li table th.colOne, .contentContainer ul li table th.colFirst, .contentContainer ul li table th.colLast, .classUseContainer ul li table th, .constantValuesContainer ul li table th, .contentContainer ul li table td.colOne, .contentContainer ul li table td.colFirst, .contentContainer ul li table td.colLast,  .contentContainer ul li table td.colMid, .classUseContainer ul li table td, .constantValuesContainer ul li table td{
    vertical-align:top;
    padding-right:20px;
}
.contentContainer ul li table th.colLast, .classUseContainer ul li table th.colLast,.constantValuesContainer ul li table th.colLast,
.contentContainer ul li table td.colLast, .classUseContainer ul li table td.colLast,.constantValuesContainer ul li table td.colLast,
.contentContainer ul li table th.colOne, .classUseContainer ul li table th.colOne,
.contentContainer ul li table td.colOne, .classUseContainer ul li table td.colOne {
    padding-right:3px;
}
.overviewSummary caption, .packageSummary caption, .contentContainer ul.blockList li.blockList caption, .summary caption, .classUseContainer caption, .constantValuesContainer caption {
    /*position:relative;*/
    text-align:left;
    background-repeat:no-repeat;
    color:#FFFFFF;
    font-weight:bold;
    clear:none;
    /*overflow:hidden;*/
    padding:0px;
    margin:0px;
}
caption a:link, caption a:hover, caption a:active, caption a:visited {
    color:#FFFFFF;
}
.overviewSummary caption span, .packageSummary caption span, .contentContainer ul.blockList li.blockList caption span, .summary caption span, .classUseContainer caption span, .constantValuesContainer caption span {
    white-space:nowrap;
    padding-top:8px;
    padding-left:8px;
    display:block;
    float:left;
    background-image:url(../resources/titlebar.gif);
    height:18px;
}
.overviewSummary .tabEnd, .packageSummary .tabEnd, .contentContainer ul.blockList li.blockList .tabEnd, .summary .tabEnd, .classUseContainer .tabEnd, .constantValuesContainer .tabEnd {
    width:10px;
    background-image:url(../resources/titlebar_end.gif);
    background-repeat:no-repeat;
    background-position:top right;
    /*position:relative;*/
    float:left;
}
ul.blockList ul.blockList li.blockList table {
    margin:0 0 12px 0px;
    width:100%;
}
.tableSubHeadingColor {
    background-color: #EEEEFF;
}
.altColor {
    background-color:#eeeeef;
}
.rowColor {
    background-color:#ffffff;
}
.overviewSummary td, .packageSummary td, .contentContainer ul.blockList li.blockList td, .summary td, .classUseContainer td, .constantValuesContainer td {
    text-align:left;
    padding:3px 3px 3px 7px;
}
th.colFirst, th.colLast, th.colOne, th.colMid, .constantValuesContainer th {
    background:#dee3e9;
    border-top:1px solid #9eadc0;
    border-bottom:1px solid #9eadc0;
    text-align:left;
    padding:3px 3px 3px 7px;
}
td.colOne a:link, td.colOne a:active, td.colOne a:visited, td.colOne a:hover, td.colFirst a:link, td.colFirst a:active, td.colFirst a:visited, td.colFirst a:hover, td.colLast a:link, td.colLast a:active, td.colLast a:visited, td.colLast a:hover, td.colMid a:link, td.colMid a:active, td.colMid a:visited, td.colMid a:hover, .constantValuesContainer td a:link, .constantValuesContainer td a:active, .constantValuesContainer td a:visited, .constantValuesContainer td a:hover {
    font-weight:bold;
}
td.colFirst, th.colFirst {
    border-left:1px solid #9eadc0;
    white-space:nowrap;
}
td.colLast, th.colLast {
    border-right:1px solid #9eadc0;
}
td.colOne, th.colOne {
    border-right:1px solid #9eadc0;
    border-left:1px solid #9eadc0;
}
table.overviewSummary  {
    padding:0px;
    margin-left:0px;
}
table.overviewSummary td.colFirst, table.overviewSummary th.colFirst,
table.overviewSummary td.colMid, table.overviewSummary th.colMid,
table.overviewSummary td.colOne, table.overviewSummary th.colOne {
    width:25%;
    vertical-align:middle;
}
table.packageSummary td.colFirst, table.overviewSummary th.colFirst {
    width:25%;
    vertical-align:middle;
}
/*
Content styles
*/
.description pre {
    margin-top:0;
}
.deprecatedContent {
    margin:0;
    padding:10px 0;
}
.docSummary {
    padding:0;
}
/*
Formatting effect styles
*/
.sourceLineNo {
    color:green;
    padding:0 30px 0 0;
}
h1.hidden {
    visibility:hidden;
    overflow:hidden;
    font-size:.9em;
}
.block {
    display:block;
    margin:3px 0 0 0;
}
.strong {
    font-weight:bold;
}
